: Class ACS_Personal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.addressbook.addresscard
Class ACS_Personal

    java.lang.Object
      |
      +--grendel.addressbook.addresscard.ACS_Personal

public class ACS_Personal
extends java.lang.Object
implements ICardSource, IQuerySet

Constructor Summary
`ACS_Personal(java.lang.String FileName, boolean CreateOnOpen)`

Method Summary
`void` | `add(AddressCard aCard, boolean OverWrite)` Add a single card to this addressbook.
`void` | `add(AddressCardSet aCardSet, boolean OverWrite)` Add a set of cards to this addressbook.
`void` | `add(ICard card)` No-op implementation of the add(ICard) method from ICardSource
`void` | `close()` closing the source
`void` | `delete(ICard card)` No-op implementation of delete(ICard) from ICardSource
`ICardSet` | `getCardSet(ITerm aQueryTerm, java.lang.String[] anAttributesArray)` retrieving address cards
`AC_IDSet` | `opEqual(AC_Attribute ACA)` Search the database for all cards that match this value and return a set Adddress Card ID's (ACID's).
`AC_IDSet` | `opEqual(IAttribute anAttribute)` No-op implementations for now (just to get this building properly) (Jeff)
`AC_IDSet` | `opNotEqual(AC_Attribute ACA)` Search the database for all cards that DO NOT match this value and return a set Adddress Card ID's (ACID's).
`AC_IDSet` | `opNotEqual(IAttribute anAttribute)`
`void` | `update(ICard card)` No-op implementation of update(ICard) from ICardSource

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ACS_Personal

    public ACS_Personal(java.lang.String FileName,
                        boolean CreateOnOpen)

Method Detail

### close

    public void close()

  closing the source
  Specified by:
    close in interface ICardSource

### opEqual

    public AC_IDSet opEqual(IAttribute anAttribute)

  No-op implementations for now (just to get this building properly) (Jeff)
  Specified by:
    opEqual in interface IQuerySet

### opNotEqual

    public AC_IDSet opNotEqual(IAttribute anAttribute)

  Specified by:
    opNotEqual in interface IQuerySet

### getCardSet

    public ICardSet getCardSet(ITerm aQueryTerm,
                               java.lang.String[] anAttributesArray)

  retrieving address cards
  Specified by:
    getCardSet in interface ICardSource

### add

    public void add(AddressCard aCard,
                    boolean OverWrite)

  Add a single card to this addressbook.

### add

    public void add(AddressCardSet aCardSet,
                    boolean OverWrite)

  Add a set of cards to this addressbook.

### add

    public void add(ICard card)

  No-op implementation of the add(ICard) method from ICardSource
  Specified by:
    add in interface ICardSource

### update

    public void update(ICard card)

  No-op implementation of update(ICard) from ICardSource
  Specified by:
    update in interface ICardSource

### delete

    public void delete(ICard card)

  No-op implementation of delete(ICard) from ICardSource
  Specified by:
    delete in interface ICardSource

### opEqual

    public AC_IDSet opEqual(AC_Attribute ACA)

  Search the database for all cards that match this value and return a set Adddress Card ID's (ACID's).

### opNotEqual

    public AC_IDSet opNotEqual(AC_Attribute ACA)

  Search the database for all cards that DO NOT match this value and return a set Adddress Card ID's (ACID's).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD